Subject: Re: bug#44597: 26.3; bibtex should allow reverse sorting

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 14 Nov 2020 17:41:40 +0100

Francesco Potortì <[email-masked]> writes:

> I wish bibtex mode would allow for reverse sorting of entries.
>
> Some years ago I used to obtain that behaviour by advising the sort-subr
> functions when called inside a bibtex-mode buffer.  No more.
>
> The modern bibtex.el sorts an entry when bibtex-clean-entry is called
> when bibtex-maintain-sorted-entries is t without calling sort-subr, but
> relying only on bibtex-lessp, which is not easy to advice.

I haven't looked at the code closely, but wouldn't advising bibtex-lessp
to just swap the parameters work?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no